## kile 2.9.94

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kile VERSION 2.9.94)

find_package(ECM 6.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KDE_COMPILERSETTINGS_LEVEL 5.84)

include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KILE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/cmake-kile-version.h
)

kde_enable_exceptions()
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED
	Core
	DBus
	Widgets
	Test
)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Qml Core5Compat)

find_package(KF6 6.0.0
	REQUIRED COMPONENTS
		Codecs
		Config
		CoreAddons
		Crash
		DBusAddons
		GuiAddons
		I18n
		IconThemes
		KIO
		Parts
		TextEditor
		WindowSystem
		XmlGui
		TextWidgets
	OPTIONAL_COMPONENTS
		DocTools
)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(Okular6 REQUIRED)
set_package_properties(Okular6 PROPERTIES
	DESCRIPTION "Okular core library"
	URL "https://okular.kde.org")

find_package(Poppler COMPONENTS Qt6)
set_package_properties("Poppler" PROPERTIES
	TYPE RECOMMENDED
	PURPOSE "Support for PDF file operations.")

if(TARGET Poppler::Qt6)
	set(HAVE_POPPLER TRUE)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

# find_package(SharedMimeInfo REQUIRED)

# Some of these can be dropped if KDE_COMPILERSETTINGS_LEVEL above is removed
# (or called with a higher version).
add_definitions(
#   -DQT_USE_QSTRINGBUILDER
#   -DQT_NO_CAST_FROM_ASCII
#   -DQT_NO_CAST_FROM_BYTEARRAY
#   -DQT_USE_FAST_OPERATOR_PLUS
  -DQT_NO_CAST_TO_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

if(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  add_definitions(-DQT_MESSAGELOGCONTEXT)
endif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")

add_subdirectory(doc)
add_subdirectory(src)

########### install files ###############

install(
	FILES kile.xml
	DESTINATION ${KDE_INSTALL_MIMEDIR})
# update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

install(
	FILES
		kile.upd
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)

install(
	PROGRAMS
		kile1.6_upd.pl
		kile1.7_upd.pl
		kile1.9_upd.pl
		kile1.9-1_upd.pl
		kile2.0-1_upd.pl
		kile2.0-2_upd.pl
		kile2.0-3_upd.pl
		kile2.0-4_upd.pl
		kile2.0-5_upd.pl
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)

install(FILES
		AUTHORS
		ChangeLog
		README
		README.cwl
		kile-remote-control.txt
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/doc/kile)

ki18n_install(po)
if(KF6DocTools_FOUND)
	kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kile)

=== src/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(test)

include(FindPerl)

include_directories(
	${CMAKE_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
)

get_directory_property(CMAKE_REQUIRED_INCLUDES INCLUDE_DIRECTORIES)

########### next target ###############

set(kile_SRCS
	abbreviationmanager.cpp
	codecompletion.cpp
	configtester.cpp
	configurationmanager.cpp
	convert.cpp
	dialogs/abbreviationinputdialog.cpp
	dialogs/cleandialog.cpp
	dialogs/configcheckerdialog.cpp
	dialogs/configurationdialog.cpp
	dialogs/findfilesdialog.cpp
	dialogs/floatdialog.cpp
	dialogs/includegraphicsdialog.cpp
	dialogs/latexcommanddialog.cpp
	dialogs/listselector.cpp
	dialogs/managetemplatesdialog.cpp
	dialogs/mathenvironmentdialog.cpp
	dialogs/newfilewizard.cpp
	dialogs/pdf-wizard/pdfdialog.cpp
	dialogs/postscriptdialog.cpp
	dialogs/projectdialogs.cpp
	dialogs/quickdocumentdialog.cpp
	dialogs/scriptshortcutdialog.cpp
	dialogs/statisticsdialog.cpp
	dialogs/tabbingdialog.cpp
	dialogs/tabular/multicolumnborderhelper.cpp
	dialogs/tabular/newtabulardialog.cpp
	dialogs/tabular/selectcoloraction.cpp
	dialogs/tabular/selectframeaction.cpp
	dialogs/tabular/tabularcell.cpp
	dialogs/tabular/tabularcelldelegate.cpp
	dialogs/tabular/tabularheaderitem.cpp
	dialogs/tabular/tabularproperties.cpp
	dialogs/tabular/tabulartable.cpp
	dialogs/texdocumentationdialog.cpp
	dialogs/userhelpdialog.cpp
	dialogs/usermenu/usermenudialog.cpp
	dialogs/usermenu/usermenuitem.cpp
	dialogs/usermenu/usermenutree.cpp
	dialogs/validatorinputdialog.cpp
	documentinfo.cpp
	editorcommands.cpp
	editorextension.cpp
	editorkeysequencemanager.cpp
	errorhandler.cpp
	eventfilter.cpp
	kileactions.cpp
	kile.cpp
	kiledocmanager.cpp
	kileextensions.cpp
	kilehelp.cpp
	kileinfo.cpp
	kilelauncher.cpp
	kilelyxserver.cpp
	kileproject.cpp
	kilestdactions.cpp
	kilestdtools.cpp
	kiletool.cpp
	kiletoolmanager.cpp
	kileversion.cpp
	kileviewmanager.cpp
	kilewizard.cpp
	latexcmd.cpp
	livepreview.cpp
	livepreview_utils.cpp
	main.cpp
	outputinfo.cpp
	parser/bibtexparser.cpp
	parser/latexoutputparser.cpp
	parser/latexparser.cpp
	parser/parser.cpp
	parser/parsermanager.cpp
	parser/parserthread.cpp
	plaintolatexconverter.cpp
	quickpreview.cpp
	scripting/kilescriptdocument.cpp
	scripting/kilescriptobject.cpp
	scripting/kilescriptview.cpp
	scripting/script.cpp
	scriptmanager.cpp
	symbolviewclasses.h
	templates.cpp
	tool_utils.cpp
	userhelp.cpp
	usermenu/usermenu.cpp
	usermenu/usermenudata.cpp
	utilities.cpp
	widgets/abbreviationview.cpp
	widgets/categorycombobox.cpp
	widgets/codecompletionconfigwidget.cpp
	widgets/commandview.cpp
	widgets/filebrowserwidget.cpp
	widgets/konsolewidget.cpp
	widgets/logwidget.cpp
	widgets/outputview.cpp
	widgets/previewconfigwidget.cpp
	widgets/previewwidget.cpp
	widgets/progressdialog.cpp
	widgets/projectview.cpp
	widgets/scriptsmanagementwidget.cpp
	widgets/sidebar.cpp
	widgets/statisticswidget.cpp
	widgets/statusbar.cpp
	widgets/structurewidget.cpp
	widgets/symbolview.cpp
	widgets/toolconfigwidget.cpp
	widgets/scrollwidget.cpp
)

set(kile_UI
	dialogs/floatdialog_base.ui
	dialogs/includegraphicsdialog_base.ui
	dialogs/latexcommanddialog_base.ui
	dialogs/newtoolwizard_class_page.ui
	dialogs/newtoolwizard_toolname_page.ui
	dialogs/pdf-wizard/pdfdialog_base.ui
	dialogs/postscriptdialog_base.ui
	dialogs/scriptshortcutdialog_base.ui
	dialogs/tabbingdialog_base.ui
	dialogs/usermenu/usermenudialog_base.ui
	widgets/appearanceconfigwidget.ui
	widgets/codecompletionconfigwidget.ui
	widgets/configcheckerwidget.ui
	widgets/environmentconfigwidget.ui
	widgets/generalconfigwidget.ui
	widgets/graphicsconfigwidget.ui
	widgets/helpconfigwidget.ui
	widgets/latexconfigwidget.ui
	widgets/latextoolconfigwidget.ui
	widgets/livepreviewconfigwidget.ui
	widgets/maintoolconfigwidget.ui
	widgets/newdocumentwidget.ui
	widgets/processtoolconfigwidget.ui
	widgets/quicktoolconfigwidget.ui
	widgets/scriptingconfigwidget.ui
	widgets/structureviewconfigwidget.ui
	widgets/symbolviewconfigwidget.ui
	widgets/usermenuconfigwidget.ui
)

set(kile_UI_SRCS
	dialogs/newtoolwizard.cpp
	widgets/appearanceconfigwidget.cpp
	widgets/configcheckerwidget.cpp
	widgets/environmentconfigwidget.cpp
	widgets/generalconfigwidget.cpp
	widgets/graphicsconfigwidget.cpp
	widgets/helpconfigwidget.cpp
	widgets/latexconfigwidget.cpp
	widgets/latextoolconfigwidget.cpp
	widgets/livepreviewconfigwidget.cpp
	widgets/maintoolconfigwidget.cpp
	widgets/newdocumentwidget.cpp
	widgets/processtoolconfigwidget.cpp
	widgets/quicktoolconfigwidget.cpp
	widgets/scriptingconfigwidget.cpp
	widgets/structureviewconfigwidget.cpp
	widgets/symbolviewconfigwidget.cpp
	widgets/usermenuconfigwidget.cpp
)

set(kile_SRCS ${kile_SRCS} ${kile_UI_SRCS})

ki18n_wrap_ui(kile_SRCS ${kile_UI})

set(kile_SRCS ${kile_SRCS} org.kde.kile.main.xml)
qt_add_dbus_adaptor(kile_SRCS org.kde.kile.main.xml kile.h Kile)

set(kile_KCFG_SRCS kileconfig.kcfgc)

kconfig_add_kcfg_files(kile_SRCS ${kile_KCFG_SRCS})

set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/kileconfig.h" PROPERTIES SKIP_AUTOMOC ON)   # otherwise we get a warning about
set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/kileconfig.cpp" PROPERTIES SKIP_AUTOMOC ON) # the CMP0071 policy (with CMake 3.11)

set(ICON_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/sc-apps-kile.svg
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/22-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/32-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/48-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/64-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/128-apps-kile.png
)
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})

# add the resource file containing the ui files
qt_add_resources(kile_SRCS kile.qrc)

add_executable(kile ${kile_SRCS})
target_sources(kile PRIVATE ${ICONS_SOURCES})

qt_add_resources(kile "icons"
    BASE ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/
    PREFIX "/icons"
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/sc-apps-kile.svg)

if(APPLE)
    # extract the last copyright year from "kileversion.h"
    file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/kileversion.h" LAST_COPYRIGHT_YEAR_LINE REGEX "KILE_LAST_COPYRIGHT_YEAR (.*)")
    string(REGEX MATCH "KILE_LAST_COPYRIGHT_YEAR \"([0-9]+)\"" TMP_MATCH ${LAST_COPYRIGHT_YEAR_LINE})
    set(LAST_COPYRIGHT_YEAR ${CMAKE_MATCH_1})

    set_target_properties(kile PROPERTIES
        OUTPUT_NAME                     "Kile"
        MACOSX_BUNDLE_BUNDLE_NAME       "Kile"
        MACOSX_BUNDLE_GUI_IDENTIFIER    "org.kde.kile"
        MACOSX_BUNDLE_DISPLAY_NAME      "Kile"
        MACOSX_BUNDLE_INFO_STRING       "Kile, an KDE Integrated LaTeX Environment"
        MACOSX_BUNDLE_COPYRIGHT         "the Kile Team (2003 - ${LAST_COPYRIGHT_YEAR})")
    set_target_properties(kile PROPERTIES
        MACOSX_BUNDLE_LONG_VERSION_STRING "Kile ${KILE_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${KILE_VERSION}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${KILE_VERSION}")
endif()

target_link_libraries(kile
PUBLIC
    KF6::Codecs
    KF6::CoreAddons
    KF6::Crash
    KF6::DBusAddons
    KF6::GuiAddons
    KF6::I18n
    KF6::IconThemes
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::TextEditor
    KF6::TextWidgets
    KF6::WindowSystem
)

target_link_libraries(kile PUBLIC Qt6::Qml Qt6::Core5Compat KF6::IconWidgets)
# optional dependencies
if(TARGET Poppler::Qt6)
	target_link_libraries(kile PUBLIC Poppler::Qt6)
endif()

if(TARGET Okular::Core)
  # We don't need to link to okular since it gets loaded dynamically at runtime.
  # All we need are the include directories which we can get with this generator expression:
  target_include_directories(kile PRIVATE $<TARGET_PROPERTY:Okular::Core,INTERFACE_INCLUDE_DIRECTORIES>)
endif()

install(TARGETS kile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES org.kde.kile.main.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES org.kde.kile.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES kile.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES data/bibtexentries.rc data/biblatexentries.rc DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile)
install(FILES data/kile.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
install(FILES data/org.kde.kile.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if(CMAKE_SYSTEM_NAME MATCHES "Windows")
	install(FILES data/kilestdtools-win.rc
           DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile
           RENAME kilestdtools.rc)
else(CMAKE_SYSTEM_NAME MATCHES "Windows")
	install (FILES data/kilestdtools.rc
           DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile)
endif(CMAKE_SYSTEM_NAME MATCHES "Windows")

=== src/test/CMakeLists.txt ===
set(testFiles
	test.tex
	test_plain.tex
	test.bib
	test_bib.tex
	test_index.tex
)
install(FILES ${testFiles} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/test)

=== src/data/complete/CMakeLists.txt ===
add_subdirectory(abbreviation)
add_subdirectory(tex)
add_subdirectory(dictionary)

=== src/data/help/CMakeLists.txt ===

########### install files ###############
file(GLOB kile_index *.index)
install(FILES ${kile_index} latexhelp.html DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/help)

=== src/data/icons/CMakeLists.txt ===
add_subdirectory(actions)

ecm_install_icons(ICONS
	16-apps-kile.png
	22-apps-kile.png
	32-apps-kile.png
	44-apps-kile.png
	48-apps-kile.png
	64-apps-kile.png
	128-apps-kile.png
	150-apps-kile.png
	310-apps-kile.png
	sc-apps-kile.svg
	DESTINATION ${KDE_INSTALL_ICONDIR}
	THEME hicolor
)

=== src/data/symbols-ng/CMakeLists.txt ===

add_subdirectory(relation)
add_subdirectory(arrows)
add_subdirectory(delimiters)
add_subdirectory(greek)
add_subdirectory(misc-math)
add_subdirectory(misc-text)
add_subdirectory(operators)
add_subdirectory(special)
add_subdirectory(cyrillic)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core)

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(gesymb-ng_SRCS gesymb-ng.cpp)
add_executable(gesymb-ng EXCLUDE_FROM_ALL ${gesymb-ng_SRCS})
target_link_libraries(gesymb-ng ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY})

set(convertOldSymbolFormat_SRCS convertOldSymbolFormat.cpp convertOldSymbolFormat.h)
add_executable(convertOldSymbolFormat EXCLUDE_FROM_ALL ${convertOldSymbolFormat_SRCS})
target_link_libraries(convertOldSymbolFormat ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY})

=== src/data/complete/dictionary/CMakeLists.txt ===
file(GLOB kile_dictFiles *.cwl)
install(FILES ${kile_dictFiles} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/complete/dictionary)

=== src/data/icons/actions/CMakeLists.txt ===
set(kile_action_ICONS
	128-actions-nroot.png
	128-actions-sqrt.png
	16-actions-acute.png
	16-actions-align.png
	16-actions-bar.png
	16-actions-BBmatrix.png
	16-actions-beamerblock.png
	16-actions-beamerframe.png
	16-actions-bigskip.png
	16-actions-bigspace.png
	16-actions-binom.png
	16-actions-bmatrix.png
	16-actions-breve.png
	16-actions-cases.png
	16-actions-chapter.png
	16-actions-check.png
	16-actions-closeallenv.png
	16-actions-closeenv.png
	16-actions-closegroup.png
	16-actions-complete1.png
	16-actions-complete2.png
	16-actions-complete3.png
	16-actions-configure_project.png
	16-actions-contents.png
	16-actions-ddot.png
	16-actions-delenv_i.png
	16-actions-delenv_o.png
	16-actions-deleol.png
	16-actions-delgroup_i.png
	16-actions-delgroup_o.png
	16-actions-delline.png
	16-actions-delmath.png
	16-actions-delpar.png
	16-actions-delword.png
	16-actions-description.png
	16-actions-dot.png
	16-actions-enskip.png
	16-actions-enumerate.png
	16-actions-eqnarray.png
	16-actions-equation.png
	16-actions-figure-env.png
	16-actions-file.png
	16-actions-flalign.png
	16-actions-gather.png
	16-actions-gotobeginenv.png
	16-actions-gotobegingroup.png
	16-actions-gotoendenv.png
	16-actions-gotoendgroup.png
	16-actions-graphics.png
	16-actions-grave.png
	16-actions-hat.png
	16-actions-hspace.png
	16-actions-hspace-star.png
	16-actions-include-file.png
	16-actions-input-file.png
	16-actions-itemize.png
	16-actions-item.png
	16-actions-js.png
	16-actions-label.png
	16-actions-lr.png
	16-actions-masteritem.png
	16-actions-matchenv.png
	16-actions-matchgroup.png
	16-actions-math0.png
	16-actions-math10.png
	16-actions-math1.png
	16-actions-math2.png
	16-actions-math3.png
	16-actions-math4.png
	16-actions-math5.png
	16-actions-math6.png
	16-actions-math7.png
	16-actions-math8.png
	16-actions-math9.png
	16-actions-mathmode.png
	16-actions-matrix.png
	16-actions-medskip.png
	16-actions-medspace.png
	16-actions-minipage.png
	16-actions-modified.png
	16-actions-multline.png
	16-actions-nextbullet.png
	16-actions-nextparagraph.png
	16-actions-nextsection.png
	16-actions-nroot.png
	16-actions-part.png
	16-actions-pmatrix.png
	16-actions-prevbullet.png
	16-actions-prevparagraph.png
	16-actions-prevsection.png
	16-actions-projectitem.png
	16-actions-qquad.png
	16-actions-quad.png
	16-actions-refreshstructure.png
	16-actions-relation.png
	16-actions-script-key-sequence.png
	16-actions-script-key-shortcut.png
	16-actions-scriptnew.png
	16-actions-scriptopen.png
	16-actions-section.png
	16-actions-selenv_i.png
	16-actions-selenv_o.png
	16-actions-selgroup_i.png
	16-actions-selgroup_o.png
	16-actions-selline.png
	16-actions-selmath.png
	16-actions-selpar.png
	16-actions-selword.png
	16-actions-smallfrac.png
	16-actions-smallskip.png
	16-actions-smartnewline.png
	16-actions-sqrt.png
	16-actions-structure.png
	16-actions-subsection.png
	16-actions-subsubsection.png
	16-actions-table-env.png
	16-actions-texlion.png
	16-actions-thinspace.png
	16-actions-tilde.png
	16-actions-usermenu-down.png
	16-actions-usermenu-insert-above.png
	16-actions-usermenu-insert-below.png
	16-actions-usermenu-into-submenu.png
	16-actions-usermenu-separator-above.png
	16-actions-usermenu-separator-below.png
	16-actions-usermenu-submenu-above.png
	16-actions-usermenu-submenu-below.png
	16-actions-usermenu-up.png
	16-actions-vec.png
	16-actions-verbatim.png
	16-actions-verb.png
	16-actions-viewdvi.png
	16-actions-viewhtml.png
	16-actions-viewpdf.png
	16-actions-viewps.png
	16-actions-vmatrix.png
	16-actions-vspace.png
	16-actions-vspace-star.png
	16-actions-VVmatrix.png
	22-actions-align.png
	22-actions-array.png
	22-actions-BBmatrix.png
	22-actions-bboxnext.png
	22-actions-bboxprev.png
	22-actions-bigskip.png
	22-actions-bigspace.png
	22-actions-binom.png
	22-actions-bmatrix.png
	22-actions-cases.png
	22-actions-cline.png
	22-actions-complete1.png
	22-actions-complete2.png
	22-actions-complete3.png
	22-actions-configure_project.png
	22-actions-contents.png
	22-actions-convert.png
	22-actions-description.png
	22-actions-dfrac.png
	22-actions-displaymathmode.png
	22-actions-emph.png
	22-actions-enskip.png
	22-actions-enumerate.png
	22-actions-eqnarray.png
	22-actions-equation.png
	22-actions-errornext.png
	22-actions-errorprev.png
	22-actions-figure-env.png
	22-actions-filegrep.png
	22-actions-flalign.png
	22-actions-gather.png
	22-actions-graphics.png
	22-actions-help-latex.png
	22-actions-hline.png
	22-actions-hspace.png
	22-actions-hspace-star.png
	22-actions-include-file.png
	22-actions-input-file.png
	22-actions-itemize.png
	22-actions-item.png
	22-actions-jspage.png
	22-actions-js.png
	22-actions-label.png
	22-actions-latex-config.png
	22-actions-lr.png
	22-actions-master.png
	22-actions-matrix.png
	22-actions-medskip.png
	22-actions-medspace.png
	22-actions-minipage.png
	22-actions-multicolumn.png
	22-actions-multline.png
	22-actions-newline.png
	22-actions-nroot.png
	22-actions-output_win.png
	22-actions-pmatrix.png
	22-actions-preview_env.png
	22-actions-preview_math.png
	22-actions-preview_sel.png
	22-actions-preview_subdoc.png
	22-actions-project_add.png
	22-actions-project_archive.png
	22-actions-projectgrep.png
	22-actions-project_rebuild.png
	22-actions-project_remove.png
	22-actions-project_show.png
	22-actions-qquad.png
	22-actions-quad.png
	22-actions-quick.png
	22-actions-quickwizard.png
	22-actions-refreshstructure.png
	22-actions-scriptnew.png
	22-actions-scriptopen.png
	22-actions-slanted.png
	22-actions-smallskip.png
	22-actions-smartnewline.png
	22-actions-sqrt.png
	22-actions-strong.png
	22-actions-tabbing.png
	22-actions-table-env.png
	22-actions-tabular.png
	22-actions-tabular-star.png
	22-actions-texlion.png
	22-actions-thinspace.png
	22-actions-typewriter.png
	22-actions-usermenu-clear.png
	22-actions-usermenu-delete.png
	22-actions-usermenu-install.png
	22-actions-verbatim.png
	22-actions-verb.png
	22-actions-viewdvi.png
	22-actions-viewhtml.png
	22-actions-viewlog.png
	22-actions-viewpdf.png
	22-actions-viewps.png
	22-actions-vline.png
	22-actions-vmatrix.png
	22-actions-vspace.png
	22-actions-vspace-star.png
	22-actions-VVmatrix.png
	22-actions-warnnext.png
	22-actions-warnprev.png
	22-actions-watchfile.png
	22-actions-wizard_array.png
	22-actions-wizard_float.png
	22-actions-wizard_math.png
	22-actions-wizard_pdftools.png
	22-actions-wizard_pstools.png
	22-actions-wizard_tabbing.png
	22-actions-wizard_tabular.png
	22-actions-wizard_usermenu.png
	32-actions-bibtex.png
	32-actions-dblatex.png
	32-actions-dvipdf.png
	32-actions-dvipng.png
	32-actions-dvips.png
	32-actions-dvisearch.png
	32-actions-environment.png
	32-actions-joincells.png
	32-actions-js.png
	32-actions-l2h.png
	32-actions-latex.png
	32-actions-lilypond.png
	32-actions-makeidx.png
	32-actions-mpost.png
	32-actions-nroot.png
	32-actions-pdflatex.png
	32-actions-pdftex.png
	32-actions-ps2pdf.png
	32-actions-scriptnew.png
	32-actions-scriptopen.png
	32-actions-splitcells.png
	32-actions-sqrt.png
	32-actions-texcompiler.png
	32-actions-viewbib.png
	32-actions-viewdvi.png
	32-actions-viewhtml.png
	32-actions-viewpdf.png
	32-actions-viewps.png
	48-actions-graphicspage.png
	48-actions-nroot.png
	48-actions-sqrt.png
	64-actions-nroot.png
	64-actions-preview.png
	64-actions-sqrt.png
)

ecm_install_icons(
	ICONS ${kile_action_ICONS}
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/icons
)

=== src/data/symbols-ng/greek/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "greek")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})

=== src/data/symbols-ng/misc-math/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "misc-math")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})

=== debian/changelog ===
kile (4:2.9.94-1) unstable; urgency=medium

  * Team upload.
  * CI: drop any custom reprotest arguments.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump extra-cmake-modules and all the KF packages to 6.0.0
    - bump okular-dev to 4:24.05 (i.e. the version that switched to Qt 6)
    - add libkf6codecs-dev, libkf6guiaddons-dev, and qt6-declarative-dev
    - exclude libpoppler-qt6-dev on i386, as it does not exist on that
      architecture
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Drop the kinit dependency, as kinit is no more in KF6.
  * Stop passing -DQT_MAJOR_VERSION=6 to cmake, as it is not actually needed.
  * Drop very old breaks/replaces.
  * Add maintscript files to remove the old conffiles.
  * Backport upstream commit e0b6d66b70e0dcbfec4b4b5bd8e55a2fe23dcb3f, and
    commit f7ecebe2f7abd6fbc0c8287f194bf3dd0c24c246 to fix/improve the
    AppStream XML metadata; patch
    upstream_appdata-Fix-release-date-of-Kile-3.0-beta-4.patch, and
    upstream_appstream-replace-deprecated-developer_name-with-dev.patch.
  * Sort install files.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Feb 2025 12:11:20 +0100

kile (4:2.9.94-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1091276, #1091483, #1091231)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Mon, 13 Jan 2025 13:17:41 +0100

=== debian/control ===
Source: kile
Section: tex
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6codecs-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libpoppler-qt6-dev [!i386],
               okular-dev (>= 4:24.05~),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kile.sourceforge.io
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kile
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kile.git

Package: kile
Architecture: any
Depends: konsole-kpart,
         okular,
         texlive-latex-base,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
Suggests: aspell | ispell | hspell,
          asymptote,
          context,
          dblatex,
          kbibtex,
          kile-doc,
          kile-l10n,
          latex2html,
          lilypond,
          tex4ht,
          texlive-xetex,
          zip
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the documentation for Kile.

Package: kile-l10n
Architecture: all
Section: localization
Depends: kile (>= ${source:Version}), ${misc:Depends}
Description: KDE Integrated LaTeX Environment (localization)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the translations for Kile.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do NOT run optipng on the icons, this removes the metadata in the latex
# symbol icons which kile depends on for the symbol table. LP: #772631
export NO_PNG_PKG_MANGLE=1

%:
	dh $@ --with kf6

execute_after_dh_auto_install:
	# installed by dh_installchangelogs
	rm debian/tmp/usr/share/doc/kile/ChangeLog

=== debian/watch ===
version=4
https://sf.net/kile/kile-([\d\.]+[\d])\.tar\.(?:bz2|xz)

## kile 2.9.94+p24.04+vstable+git20250930.0454

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20250930.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:54:20 +0000

kile (4:2.9.94-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Jul 2024 16:46:08 +1000

kile (4:2.9.93-1) noble; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.6.0
  * Pick the installed documentation, instead of copying it manually later on
    with dh_installdocs:
    - remove the documentation files we do not want
    - remove debian/kile.docs, no more needed now
  * Call dh_missing with --fail-missing to catch uninstalled files.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Oct 2019 07:26:23 +0200

## kile 2.9.94+p24.04+vstable+git20251005.1138

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(kile VERSION 2.9.94)
+project(kile VERSION 2.9.95)
 
 find_package(ECM 6.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(KDE_COMPILERSETTINGS_LEVEL 5.84)
+set(KDE_COMPILERSETTINGS_LEVEL 6.0)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
@@ -59,13 +59,10 @@
 		WindowSystem
 		XmlGui
 		TextWidgets
+		ColorScheme
 	OPTIONAL_COMPONENTS
 		DocTools
 )
-
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_CXX_EXTENSIONS OFF)
 
 find_package(Okular6 REQUIRED)
 set_package_properties(Okular6 PROPERTIES
@@ -112,24 +109,6 @@
 	DESTINATION ${KDE_INSTALL_MIMEDIR})
 # update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
 
-install(
-	FILES
-		kile.upd
-	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)
-
-install(
-	PROGRAMS
-		kile1.6_upd.pl
-		kile1.7_upd.pl
-		kile1.9_upd.pl
-		kile1.9-1_upd.pl
-		kile2.0-1_upd.pl
-		kile2.0-2_upd.pl
-		kile2.0-3_upd.pl
-		kile2.0-4_upd.pl
-		kile2.0-5_upd.pl
-	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)
-
 install(FILES
 		AUTHORS
 		ChangeLog

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -243,6 +243,7 @@
     KF6::TextEditor
     KF6::TextWidgets
     KF6::WindowSystem
+    KF6::ColorScheme
 )
 
 target_link_libraries(kile PUBLIC Qt6::Qml Qt6::Core5Compat KF6::IconWidgets)

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20251005.1138-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:38:11 +0000

## kile 2.9.94+p24.04+vstable+git20251015.1723

=== doc/CMakeLists.txt ===
########### install files ###############
#
if(KF6DocTools_FOUND)
  kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kile)
endif()

=== src/data/icons/actions/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,7 @@
 	16-actions-math8.png
 	16-actions-math9.png
 	16-actions-mathmode.png
+	16-actions-mathmode_latex.png
 	16-actions-matrix.png
 	16-actions-medskip.png
 	16-actions-medspace.png
@@ -287,5 +288,5 @@
 
 ecm_install_icons(
 	ICONS ${kile_action_ICONS}
-	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/icons
+	DESTINATION ${KDE_INSTALL_ICONDIR}
 )

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20251015.1723-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:23:21 +0000

=== debian/control ===
Source: kile
Section: tex
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               libpoppler-qt6-dev,
               okular-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: http://kile.sourceforge.net
Vcs-Git: https://invent.kde.org/neon/extras/kile.git
Vcs-Browser: https://invent.kde.org/neon/extras/kile
Maintainer: Neon CI <neon@kde.org>

Package: kile
Architecture: any
Depends: konsole-kpart,
         okular,
         texlive-latex-base,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
Suggests: aspell | ispell | hspell,
          asymptote,
          context,
          dblatex,
          kbibtex,
          kile-doc,
          kile-l10n,
          latex2html,
          lilypond,
          tex4ht,
          texlive-xetex,
          zip
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the documentation for Kile.

## kile 2.9.94+p24.04+vstable+git20251019.0632

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20251019.0632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:32:59 +0000

## kile 2.9.94+p24.04+vstable+git20260102.1221

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 project(kile VERSION 2.9.95)
 
+set(QT_REQUIRED_VERSION "6.4")
 find_package(ECM 6.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20260102.1221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:21:19 +0000

## kile 2.9.94+p24.04+vstable+git20260105.0950

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20260105.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:50:39 +0000

## kile 2.9.94+p24.04+vstable+git20260122.0824

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 include(ECMSetupVersion)
 include(ECMMarkNonGuiExecutable)
 include(ECMGenerateHeaders)
+include(ECMQtDeclareLoggingCategory)
 
 include(GenerateExportHeader)
 include(CMakePackageConfigHelpers)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -202,6 +202,10 @@
 # add the resource file containing the ui files
 qt_add_resources(kile_SRCS kile.qrc)
 
+ecm_qt_declare_logging_category(kile_SRCS HEADER kile_main_debug.h IDENTIFIER LOG_KILE_MAIN CATEGORY_NAME org.kde.kile.main EXPORT KILE DESCRIPTION "Kile" DEFAULT_SEVERITY Warning)
+ecm_qt_declare_logging_category(kile_SRCS HEADER kile_parser_debug.h IDENTIFIER LOG_KILE_PARSER CATEGORY_NAME org.kde.kile.parser EXPORT KILE DESCRIPTION "Kile (Parser)" DEFAULT_SEVERITY Warning)
+ecm_qt_declare_logging_category(kile_SRCS HEADER kile_codecompletion_debug.h IDENTIFIER LOG_KILE_CODECOMPLETION CATEGORY_NAME org.kde.kile.codecompletion EXPORT KILE DESCRIPTION "Kile (Code completion)" DEFAULT_SEVERITY Warning)
+
 add_executable(kile ${kile_SRCS})
 target_sources(kile PRIVATE ${ICONS_SOURCES})
 
@@ -266,7 +270,6 @@
 install(FILES org.kde.kile.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES kile.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 install(FILES data/bibtexentries.rc data/biblatexentries.rc DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile)
-install(FILES data/kile.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 install(FILES data/org.kde.kile.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 if(CMAKE_SYSTEM_NAME MATCHES "Windows")
@@ -277,3 +280,9 @@
 	install (FILES data/kilestdtools.rc
            DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile)
 endif(CMAKE_SYSTEM_NAME MATCHES "Windows")
+
+ecm_qt_install_logging_categories(
+    EXPORT KILE
+    FILE kile.categories
+    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
+)

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20260122.0824-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:24:41 +0000

## kile 2.9.94+p24.04+vstable+git20260130.1128

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20260130.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:29:08 +0000

## kile 2.9.94+p24.04+vunstable+git20251015.1828

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20251015.1828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:29:06 +0000

## kile 2.9.94+p24.04+vunstable+git20251020.0537

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20251020.0537-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:38:06 +0000

## kile 2.9.94+p24.04+vunstable+git20251123.1233

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20251123.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:33:48 +0000

## kile 2.9.94+p24.04+vunstable+git20251201.0311

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20251201.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:11:51 +0000

## kile 2.9.94+p24.04+vunstable+git20260122.0352

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20260122.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 03:52:52 +0000

## kile 2.9.94+p24.04+vunstable+git20260130.1242

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20260130.1242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:42:14 +0000
